OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
MonteCarloBarostat Class Reference

This class uses a Monte Carlo algorithm to adjust the size of the periodic box, simulating the effect of constant pressure. More...

Inheritance diagram for MonteCarloBarostat:

## Public Member Functions
def | Pressure
| Pressure() -> std::string const &. More...
def | getDefaultPressure
| getDefaultPressure(MonteCarloBarostat self) -> double More...
def | setDefaultPressure
| setDefaultPressure(MonteCarloBarostat self, double pressure) More...
def | getFrequency
| getFrequency(MonteCarloBarostat self) -> int More...
def | setFrequency
| setFrequency(MonteCarloBarostat self, int freq) More...
def | getTemperature
| getTemperature(MonteCarloBarostat self) -> double More...
def | setTemperature
| setTemperature(MonteCarloBarostat self, double temp) More...
def | getRandomNumberSeed
| getRandomNumberSeed(MonteCarloBarostat self) -> int More...
def | setRandomNumberSeed
| setRandomNumberSeed(MonteCarloBarostat self, int seed) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(MonteCarloBarostat self) -> bool More...
def | __init__
| init(OpenMM::MonteCarloBarostat self, double defaultPressure, double temperature, int frequency=25) -> MonteCarloBarostat init(OpenMM::MonteCarloBarostat self, MonteCarloBarostat other) -> MonteCarloBarostat More...
def | __del__
| del(OpenMM::MonteCarloBarostat self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes
| this

## Static Public Attributes
tuple | Pressure = staticmethod(Pressure)

## Detailed Description

This class uses a Monte Carlo algorithm to adjust the size of the periodic box, simulating the effect of constant pressure.

This class assumes the simulation is also being run at constant temperature, and requires you to specify the system temperature (since it affects the acceptance probability for Monte Carlo moves). It does not actually perform temperature regulation, however. You must use another mechanism along with it to maintain the temperature, such as LangevinIntegrator or AndersenThermostat.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::MonteCarloBarostat self, double defaultPressure, double temperature, int frequency=25) -> MonteCarloBarostat init(OpenMM::MonteCarloBarostat self, MonteCarloBarostat other) -> MonteCarloBarostat

Create a MonteCarloBarostat.

Parameters

  defaultPressure | the default pressure acting on the system (in bar)
  temperature | the temperature at which the system is being maintained (in Kelvin)
  frequency | the frequency at which Monte Carlo pressure changes should be attempted (in time steps)

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::MonteCarloBarostat self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def getDefaultPressure | ( |  | self,
|  |  | args
| ) |  |

getDefaultPressure(MonteCarloBarostat self) -> double

Get the default pressure acting on the system (in bar).

References simtk.openmm.openmm.stripUnits().

def getFrequency | ( |  | self,
|  |  | args
| ) |  |

getFrequency(MonteCarloBarostat self) -> int

Get the frequency (in time steps) at which Monte Carlo pressure changes should be attempted. If this is set to 0, the barostat is disabled.

References simtk.openmm.openmm.stripUnits().

def getRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

getRandomNumberSeed(MonteCarloBarostat self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

References simtk.openmm.openmm.stripUnits().

def getTemperature | ( |  | self,
|  |  | args
| ) |  |

getTemperature(MonteCarloBarostat self) -> double

Get the temperature at which the system is being maintained, measured in Kelvin.

References simtk.openmm.openmm.stripUnits().

def Pressure | ( |  | args | ) |

Pressure() -> std::string const &.

This is the name of the parameter which stores the current pressure acting on the system (in bar).

References MonteCarloBarostat.Pressure, and simtk.openmm.openmm.stripUnits().

def setDefaultPressure | ( |  | self,
|  |  | args
| ) |  |

setDefaultPressure(MonteCarloBarostat self, double pressure)

Set the default pressure acting on the system. This will affect any new Contexts you create, but not ones that already exist.

Parameters

  pressure | the default pressure acting on the system, measured in bar.

References simtk.openmm.openmm.stripUnits().

def setFrequency | ( |  | self,
|  |  | args
| ) |  |

setFrequency(MonteCarloBarostat self, int freq)

Set the frequency (in time steps) at which Monte Carlo pressure changes should be attempted. If this is set to 0, the barostat is disabled.

References simtk.openmm.openmm.stripUnits().

def setRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

setRandomNumberSeed(MonteCarloBarostat self, int seed)

Set the random number seed. It is guaranteed that if two simulations are run with different random number seeds, the sequence of Monte Carlo steps will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

If seed is set to 0 (which is the default value assigned), a unique seed is chosen when a Context is created from this Force. This is done to ensure that each Context receives unique random seeds without you needing to set them explicitly.

References simtk.openmm.openmm.stripUnits().

def setTemperature | ( |  | self,
|  |  | args
| ) |  |

setTemperature(MonteCarloBarostat self, double temp)

Set the temperature at which the system is being maintained.

Parameters

  temp | the system temperature, measured in Kelvin.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(MonteCarloBarostat self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

tuple Pressure = staticmethod(Pressure)
| static

Referenced by MonteCarloBarostat.Pressure().

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py